> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Storefront authToken with Credentials

POST https://api-b2b.bigcommerce.com/api/io/auth/customers
Content-Type: application/json

Uses the login credentials of a storefront customer or a Company user to generate a storefront authToken to validate requests to the B2B Storefront GraphQL API. Unlike the Get a Storefront API authToken endpoint, this request does not rely on a JWT from an active storefront session.

By default, the resulting storefront authToken is valid for **1 day**. However, you can adjust its validity period with the `beginAt` and `endAt` fields in the request body.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/authentication/post-auth-customer

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Body (application/json)

This endpoint expects an object.

- `storeHash` (string, required) — The unique store hash for the BigCommerce store.
- `email` (string, required) — The email address associated with the user's account.
- `password` (string, required) — The password associated with the user's account.
- `channelId` (integer, required) — The storefront channel ID where the order was placed.
- `name` (string, required) — The internal name assigned to the generated API token.
- `beginAt` (integer, optional) — The [Unix timestamp](https://www.unixtimestamp.com/) indicating when the storefront authToken starts being valid.
- `endAt` (integer, optional) — The [Unix timestamp](https://www.unixtimestamp.com/) indicating when the storefront authToken is no longer valid.

## Response

### 200

OK

- `code` (integer, optional, default: 200) — The HTTP Status code of the response.
- `data` (AuthCustomersPostResponsesContentApplicationJsonSchemaData, optional)
- `meta` (AuthCustomersPostResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### AuthCustomersPostResponsesContentApplicationJsonSchemaData

- `name` (string, optional) — The internal name assigned to the generated API token.
- `token` (string, optional)

### AuthCustomersPostResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional)

## Examples

**Request**

```json
{
  "storeHash": "1234abcd",
  "email": "user@example.com",
  "password": "MyPassword123",
  "channelId": 1000234,
  "name": "customer storefront token"
}
```

**Response**

```json
{
  "code": 200,
  "data": {
    "name": "customer storefront token",
    "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6InRlc3RfYjJjX29yZGVyX2ltcG9ydEBxcS5jb21tIiwic3RvcmVfaGFzaCI6ImYyb3N4ampueGoiLCJkYiI6ImRlZmF1bHQifQ.L_u_enljWoYBbPPskmYEQVHldHIaTcWMIB-SdFah850"
  },
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/io/auth/customers"

payload = {
    "storeHash": "1234abcd",
    "email": "user@example.com",
    "password": "MyPassword123",
    "channelId": 1000234,
    "name": "customer storefront token"
}
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/io/auth/customers';
const options = {
  method: 'POST',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"storeHash":"1234abcd","email":"user@example.com","password":"MyPassword123","channelId":1000234,"name":"customer storefront token"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/io/auth/customers"

	payload := strings.NewReader("{\n  \"storeHash\": \"1234abcd\",\n  \"email\": \"user@example.com\",\n  \"password\": \"MyPassword123\",\n  \"channelId\": 1000234,\n  \"name\": \"customer storefront token\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/io/auth/customers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"storeHash\": \"1234abcd\",\n  \"email\": \"user@example.com\",\n  \"password\": \"MyPassword123\",\n  \"channelId\": 1000234,\n  \"name\": \"customer storefront token\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-b2b.bigcommerce.com/api/io/auth/customers")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"storeHash\": \"1234abcd\",\n  \"email\": \"user@example.com\",\n  \"password\": \"MyPassword123\",\n  \"channelId\": 1000234,\n  \"name\": \"customer storefront token\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-b2b.bigcommerce.com/api/io/auth/customers', [
  'body' => '{
  "storeHash": "1234abcd",
  "email": "user@example.com",
  "password": "MyPassword123",
  "channelId": 1000234,
  "name": "customer storefront token"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/io/auth/customers");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"storeHash\": \"1234abcd\",\n  \"email\": \"user@example.com\",\n  \"password\": \"MyPassword123\",\n  \"channelId\": 1000234,\n  \"name\": \"customer storefront token\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "storeHash": "1234abcd",
  "email": "user@example.com",
  "password": "MyPassword123",
  "channelId": 1000234,
  "name": "customer storefront token"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/io/auth/customers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```